Subject: moving self contained subdirectories from a project to another

From: Luca Barbato <[email-masked]>
Date: Mon, 18 Jun 2007 14:24:25 +0200

Lately I'm trying to move a subdirectory from one project to another,
both tracked in git.

This directory is currently duplicated in two different projects and my
plan was to remove it from those and make a library so it could be
shared between them.

Now, the simple way would be get a scratchpad branch, prune everything
but what I want, push to the library repo, make the projects use it.

There is already a script that automates this task? There are any
pitfalls I'm not considering?

lu

PS: keep me on CC since I'm not subscribed

-- 

Luca Barbato

Gentoo/linux Gentoo/PPC
http://dev.gentoo.org/~lu_zero